Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519607 - Review Request: gap-pkg-nautytracesinterface - GAP interface to nauty and Traces
Summary: Review Request: gap-pkg-nautytracesinterface - GAP interface to nauty and Traces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 01:56 UTC by Jerry James
Modified: 2018-01-16 17:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 17:14:46 UTC
luya: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2017-12-01 01:56:20 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-nautytracesinterface/gap-pkg-nautytracesinterface.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-nautytracesinterface/gap-pkg-nautytracesinterface-0.1-1.20171120git5f16120.fc28.src.rpm
Description: This GAP package provides an interface to nauty and Traces.
Fedora Account System Username: jjames

Comment 1 Luya Tshimbalanga 2017-12-10 06:35:33 UTC
Finally found the time for the review.
Additionally, replace %setup -q -n %{user}-NautyTracesInterface-%{shorttag} by
%autosetup -p1 -n %{user}-NautyTracesInterface-%{shorttag}


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "GPL (v2)".
Could you check with upstream about the licensing from the following:
Apache (v2.0)
-------------
sebasguts-NautyTracesInterface-5f16120/nauty26r7/COPYRIGHT

GPL (v2)
--------
sebasguts-NautyTracesInterface-5f16120/COPYING

Main reason is the compatibility between Apache 2.0 and GPLv2 as highlighted by
https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gap-pkg-
     nautytracesinterface-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: gap-pkg-nautytracesinterface-0.1-1.20171120git5f16120.fc26.x86_64.rpm
          gap-pkg-nautytracesinterface-debuginfo-0.1-1.20171120git5f16120.fc26.x86_64.rpm
          gap-pkg-nautytracesinterface-0.1-1.20171120git5f16120.fc26.src.rpm
gap-pkg-nautytracesinterface.x86_64: W: spelling-error Summary(en_US) nauty -> nasty, natty, naughty
gap-pkg-nautytracesinterface.x86_64: W: spelling-error %description -l en_US nauty -> nasty, natty, naughty
gap-pkg-nautytracesinterface.src: W: spelling-error Summary(en_US) nauty -> nasty, natty, naughty
gap-pkg-nautytracesinterface.src: W: spelling-error %description -l en_US nauty -> nasty, natty, naughty
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: gap-pkg-nautytracesinterface-debuginfo-0.1-1.20171120git5f16120.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
gap-pkg-nautytracesinterface-debuginfo.x86_64: W: invalid-url URL: https://github.com/sebasguts/NautyTracesInterface <urlopen error [Errno -2] Name or service not known>
gap-pkg-nautytracesinterface.x86_64: W: spelling-error Summary(en_US) nauty -> nasty, natty, naughty
gap-pkg-nautytracesinterface.x86_64: W: spelling-error %description -l en_US nauty -> nasty, natty, naughty
gap-pkg-nautytracesinterface.x86_64: W: invalid-url URL: https://github.com/sebasguts/NautyTracesInterface <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/luya/Documents/fedora-packaging/review/1519607-gap-pkg-nautytracesinterface/srpm/gap-pkg-nautytracesinterface.spec	2017-12-01 22:17:51.780362297 -0800
+++ /home/luya/Documents/fedora-packaging/review/1519607-gap-pkg-nautytracesinterface/srpm-unpacked/gap-pkg-nautytracesinterface.spec	2017-11-28 20:20:59.000000000 -0800
@@ -26,6 +26,5 @@
 
 %description
-The Digraphs package is a GAP package containing methods for graphs,
-digraphs, and multidigraphs.
+This GAP package provides an interface to nauty and Traces.
 
 %prep


Requires
--------
gap-pkg-nautytracesinterface-debuginfo (rpmlib, GLIBC filtered):

gap-pkg-nautytracesinterface (rpmlib, GLIBC filtered):
    gap-core
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libnauty.so.2()(64bit)
    libnauty.so.2(LIBNAUTY_2.5)(64bit)
    rtld(GNU_HASH)



Provides
--------
gap-pkg-nautytracesinterface-debuginfo:
    gap-pkg-nautytracesinterface-debuginfo
    gap-pkg-nautytracesinterface-debuginfo(x86-64)

gap-pkg-nautytracesinterface:
    gap-pkg-nautytracesinterface
    gap-pkg-nautytracesinterface(x86-64)
    libNautyTracesInterface.so.0()(64bit)



Unversioned so-files
--------------------
gap-pkg-nautytracesinterface: /usr/lib/gap/pkg/nautytracesinterface/bin/x86_64-redhat-linux-gnu-gcc-default64/NautyTracesInterface.so

Source checksums
----------------
https://github.com/sebasguts/NautyTracesInterface/tarball/5f1612076923ec624657a51e520bef1a52cf3ed1/sebasguts-nautytracesinterface-5f16120.tar.gz :
  CHECKSUM(SHA256) this package     : bbb4b639c8d051b949720f854bc15e992a76445bbb7d9609f5fe2e6a5d7867e5
  CHECKSUM(SHA256) upstream package : bbb4b639c8d051b949720f854bc15e992a76445bbb7d9609f5fe2e6a5d7867e5

Comment 2 Jerry James 2018-01-02 00:24:47 UTC
Thank you for the review, Luya.

(In reply to Luya Tshimbalanga from comment #1)
> Finally found the time for the review.

No worries.  December got super busy for me, too, as evidenced by the fact that I am only now getting back to Fedora issues...

> Additionally, replace %setup -q -n %{user}-NautyTracesInterface-%{shorttag}
> by
> %autosetup -p1 -n %{user}-NautyTracesInterface-%{shorttag}

Done.

> Issues:
> =======
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

I wish somebody would fix that.  Rpmlint is wrong about this.  Try following that URL. :-)  The BR is required: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Apache (v2.0)", "GPL (v2)".
> Could you check with upstream about the licensing from the following:
> Apache (v2.0)
> -------------
> sebasguts-NautyTracesInterface-5f16120/nauty26r7/COPYRIGHT
> 
> GPL (v2)
> --------
> sebasguts-NautyTracesInterface-5f16120/COPYING
> 
> Main reason is the compatibility between Apache 2.0 and GPLv2 as highlighted
> by
> https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses

The nauty distribution is packaged separately in Fedora, and this is in %prep:

# Make sure the bundled nauty is not used
rm -fr src/nauty*

Plus, the lone patch in this package removes dependencies on the bundled version of nauty in favor of dependencies on the system version.  So none of the Apache-licensed code is in the binary package.

> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see
>      attached diff).
>      See: (this test has no URL)

Oops.  Fixed.  In addition, the package identifies itself as version 0.2, not 0.1, when it loads, so I have corrected the version field.  New URLs:

Spec URL: https://jjames.fedorapeople.org/gap-pkg-nautytracesinterface/gap-pkg-nautytracesinterface.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-nautytracesinterface/gap-pkg-nautytracesinterface-0.2-1.20171120git5f16120.fc28.src.rpm

Comment 3 Luya Tshimbalanga 2018-01-07 00:38:03 UTC
Focusing on the fixed errors:

(In reply to Jerry James from comment #2)
> Thank you for the review, Luya.
> 

> > Additionally, replace %setup -q -n %{user}-NautyTracesInterface-%{shorttag}
> > by
> > %autosetup -p1 -n %{user}-NautyTracesInterface-%{shorttag}
> 
> Done.
> 
> > Issues:
> > =======
> > - All build dependencies are listed in BuildRequires, except for any that
> >   are listed in the exceptions section of Packaging Guidelines.
> >   Note: These BR are not needed: gcc-c++
> >   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
> 
> I wish somebody would fix that.  Rpmlint is wrong about this.  Try following
> that URL. :-)  The BR is required:
> https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B

I confirm rpmlint has outdated info related to gcc-c++. Skipping that part.


> The nauty distribution is packaged separately in Fedora, and this is in
> %prep:
> 
> # Make sure the bundled nauty is not used
> rm -fr src/nauty*
> 
> Plus, the lone patch in this package removes dependencies on the bundled
> version of nauty in favor of dependencies on the system version.  So none of
> the Apache-licensed code is in the binary package.

Thanks for the explanation. Then the GPLv2+ license is correct in this case.


Following these correction, the package is APPROVED. Happy new year!

Comment 4 Gwyn Ciesla 2018-01-07 21:25:58 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gap-pkg-nautytracesinterface. You may commit to the branch "f27" in about 10 minutes.

Comment 5 Fedora Update System 2018-01-08 04:55:01 UTC
gap-pkg-nautytracesinterface-0.2-1.20171120git5f16120.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e77c76c909

Comment 6 Fedora Update System 2018-01-08 20:29:46 UTC
gap-pkg-nautytracesinterface-0.2-1.20171120git5f16120.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e77c76c909

Comment 7 Fedora Update System 2018-01-16 17:14:46 UTC
gap-pkg-nautytracesinterface-0.2-1.20171120git5f16120.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.